<?php
if($this->session->userdata('is_logged_in')===FALSE){
	redirect('login');
}
//===init
foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}
$url = base_url("resources/template/relaas/perdata_tun/".$filename.".rtf");
$Template = file_get_contents($url);

//===securing
$nomorPerkara='..........';					$nomorPermohonan='..........';				$namaPN='..........';
$namaPanitera='..........';					$tahapan='..........';						$noPerkaraTahapan='..........';
$tglPutusTahapan='..........';				$statusPanitera='..........';				$tglpermohonan='..........';
$namaPihak='..........';					$pekerjaanPihak='..........';				$alamatPihak='..........';
$tanggalSuratKuasa='..........';			$amarPutusTahapan='..........';				$tglpermohonan_pk='..........';
$hariPermohonan_pk='..........';			$namaPihakdiwakilkan='..........';			$pemberitahuan_nama='..........';	
$pemberitahuan_alamat='..........';			$pemberitahuan_pekerjaan='..........';		$tglkuasapemberitahuanpihak='..........';
$pihakpemberikuasa='..........';			$tgl_pemberitahuan_pk='..........';			$tgl_penerimaan_memori_pk='..........';
$tgl_penyerahan_memori_pk='..........';		$tgl_penerimaan_kontra_pk='..........';		$tgl_penyerahan_kontra_pk='..........';
$tgl_pemberitahuan_inzage_pk='..........';	$tgl_pelaksanaan_inzage_pk='..........';	$tgl_pemberitahuan_putusan_pk='..........';
$hari_pemberitahuan_pk='..........';		$hari_penerimaan_memori_pk='..........';	$hari_penyerahan_memori_pk='..........';
$hari_penerimaan_kontra_pk='..........';	$hari_penyerahan_kontra_pk='..........';	$hari_pemberitahuan_inzage_pk='..........';
$hari_pelaksanaan_inzage_pk='..........';	$hari_pemberitahuan_putusan_pk='..........';$diwakilitext='..........';
$infoPemohon='..........';					$infoTermohon='..........';					$pihakPemohonPK='..........';
$tglterimamemori='..........';				$pihakTermohonPK='..........';				$tglterimakontramemori='..........';
$tglserahkontramemori='..........';			$hariserahkontramemori='..........';		$pihakPK='..........';
$tglpemberitahuanpts='..........';			$haripemberitahuanpts='..........';			$tglputusanpk='..........';
$nomorpk='..........';						$amarptspk='..........';

//==data parsing
$perkara = $dataTemplate;
/*print_r ($perkara->result());
exit();*/
foreach ($perkara->result() as $perkara) {
	$nomorPerkara = $perkara->nomor_perkara;
	$no = explode("/",$perkara->nomor_perkara);
	$nomor = $no[0];
	$kodePerkara = $no[1];
	$tahunPerkara = $no[2];
	$kodePN = $no[3];
	$nomorPermohonan = $nomor."/Akta ".$kodePerkara."/".$tahunPerkara."/".$kodePN;
	$namaPN = $this->templatehelper->standradnaming($perkara->namaPengadilan);
	$namaPanitera = $this->templatehelper->standradnaming($perkara->pw);
	$tahapan = $perkara->Tahapan;
	$noPerkaraTahapan = $this->templatehelper->standradnaming($perkara->nomorPerkaraTahapan);
	$tglPutusTahapan = $this->templatehelper->convertKeTglIndo($perkara->putusan);
	$amarPutusTahapan = $perkara->amarPutusTahapan;
	$statusPanitera = $this->templatehelper->standradnaming($perkara->pejabat);
	$tglpermohonan = $this->templatehelper->convertKeTglIndo($perkara->permohonan_pk);
	$namaPihak = $perkara->namaPihak;
	$hariPermohonanPK = $this->templatehelper->getHari($perkara->permohonan_pk);
	$alamatPihak = $perkara->alamatPihak;
	$tanggalSuratKuasa = $perkara->tanggalSuratKuasa;
	$namaPihakdiwakilkan = $perkara->pihak_nama;
	$pemohonadlpihakke = $perkara->pihak_asal;
	//$isdiwakili = $perkara->pihak_diwakili;
	//$statuspihakasal = $perkara->pihak_asal_text;	
}
	

//--------------------------------------------------------------------------------//

if(!empty($datapihakpemberitahuan))	{
	if($datapihakpemberitahuan->num_rows>0){
		foreach ($datapihakpemberitahuan->result() as $row) {
			$pemberitahuan_nama 		= $row->namapihak;
			$pemberitahuan_alamat 		= $row->alamatpihak;
			$pemberitahuan_pekerjaan	= $row->pekerjaanpihak;
			$tglkuasapemberitahuanpihak	= $row->pemohon_tanggal_surat;
			$pihakpemberikuasa			= $row->pihak_nama;
			$isdiwakili 				= $row->pihak_diwakili;
			$statuspihakasal 			= $row->pihak_asal_text;
			$tgl_pemberitahuan_pk 				= $this->templatehelper->convertKeTglIndo($row->pemberitahuan_pk);
			$tgl_penerimaan_memori_pk			= $this->templatehelper->convertKeTglIndo($row->penerimaan_memori_pk);
			$tgl_penyerahan_memori_pk			= $this->templatehelper->convertKeTglIndo($row->penyerahan_memori_pk);
			$tgl_penerimaan_kontra_pk			= $this->templatehelper->convertKeTglIndo($row->penerimaan_kontra_pk);
			$tgl_penyerahan_kontra_pk			= $this->templatehelper->convertKeTglIndo($row->penyerahan_kontra_pk);
			$tgl_pemberitahuan_inzage_pk		= $this->templatehelper->convertKeTglIndo($row->pemberitahuan_inzage_pk); 
			$tgl_pelaksanaan_inzage_pk			= $this->templatehelper->convertKeTglIndo($row->pelaksanaan_inzage_pk);
			$tgl_pemberitahuan_putusan_pk		= $this->templatehelper->convertKeTglIndo($row->pemberitahuan_putusan_pk);

			$hari_pemberitahuan_pk 				= $this->templatehelper->getHari($row->pemberitahuan_pk);
			$hari_penerimaan_memori_pk			= $this->templatehelper->getHari($row->penerimaan_memori_pk);
			$hari_penyerahan_memori_pk			= $this->templatehelper->getHari($row->penyerahan_memori_pk);
			$hari_penerimaan_kontra_pk			= $this->templatehelper->getHari($row->penerimaan_kontra_pk);
			$hari_penyerahan_kontra_pk			= $this->templatehelper->getHari($row->penyerahan_kontra_pk);
			$hari_pemberitahuan_inzage_pk		= $this->templatehelper->getHari($row->pemberitahuan_inzage_pk); 
			$hari_pelaksanaan_inzage_pk			= $this->templatehelper->getHari($row->pelaksanaan_inzage_pk);
			$hari_pemberitahuan_putusan_pk		= $this->templatehelper->getHari($row->pemberitahuan_putusan_pk);
		}
	}
}


	$Template = str_replace('#pemberitahuan_nama#',''.$pemberitahuan_nama.'',$Template);
	$Template = str_replace('#pemberitahuan_alamat#',''.$pemberitahuan_alamat.'',$Template);
	$Template = str_replace('#pemberitahuan_pekerjaan#',''.$pemberitahuan_pekerjaan.'',$Template);
	$Template = str_replace('#tglkuasapemberitahuanpihak#',''.$tglkuasapemberitahuanpihak.'',$Template);
	$Template = str_replace('#pihakpemberikuasa#',''.$pihakpemberikuasa.'',$Template);

	$Template = str_replace('#tgl_pemberitahuan_pk#',''.$tgl_pemberitahuan_pk.'',$Template);
	$Template = str_replace('#tgl_penerimaan_memori_pk#',''.$tgl_penerimaan_memori_pk.'',$Template);
	$Template = str_replace('#tgl_penyerahan_memori_pk#',''.$tgl_penyerahan_memori_pk.'',$Template);
	$Template = str_replace('#tgl_penerimaan_kontra_pk#',''.$tgl_penerimaan_kontra_pk.'',$Template);
	$Template = str_replace('#tgl_penyerahan_kontra_pk#',''.$tgl_penyerahan_kontra_pk.'',$Template);
	$Template = str_replace('#tgl_pemberitahuan_inzage_pk#',''.$tgl_pemberitahuan_inzage_pk.'',$Template);
	$Template = str_replace('#tgl_pelaksanaan_inzage_pk#',''.$tgl_pelaksanaan_inzage_pk.'',$Template);
	$Template = str_replace('#tgl_pemberitahuan_putusan_pk#',''.$tgl_pemberitahuan_putusan_pk.'',$Template);

	$Template = str_replace('#hari_pemberitahuan_pk#',''.$hari_pemberitahuan_pk.'',$Template);
	$Template = str_replace('#hari_penerimaan_memori_pk#',''.$hari_penerimaan_memori_pk.'',$Template);
	$Template = str_replace('#hari_penyerahan_memori_pk#',''.$hari_penyerahan_memori_pk.'',$Template);
	$Template = str_replace('#hari_penerimaan_kontra_pk#',''.$hari_penerimaan_kontra_pk.'',$Template);
	$Template = str_replace('#hari_penyerahan_kontra_pk#',''.$hari_penyerahan_kontra_pk.'',$Template);
	$Template = str_replace('#hari_pemberitahuan_inzage_pk#',''.$hari_pemberitahuan_inzage_pk.'',$Template);
	$Template = str_replace('#hari_pelaksanaan_inzage_pk#',''.$hari_pelaksanaan_inzage_pk.'',$Template);
	$Template = str_replace('#hari_pemberitahuan_putusan_pk#',''.$hari_pemberitahuan_putusan_pk.'',$Template);

	if($isdiwakili=="Y")
		$diwakilitext = 'Kuasa '.$statuspihakasal;
	else
		$diwakilitext = $statuspihakasal;

	$Template = str_replace('#statuspk#',''.$diwakilitext.'',$Template);

	$Template = str_replace('#nomorpermohonan#',''.$nomorPermohonan.'',$Template);
	$Template = str_replace('#nomorperkara#',''.$nomorPerkara.'',$Template);
	$Template = str_replace('#namapanitera#',''.$namaPanitera.'',$Template);
	$Template = str_replace('#namapn#',''.$namaPN.'',$Template);
	
	//=== ini menggunakan variabel yang sama
	$Template = str_replace('#jenisputusan#',''.$tahapan.'',$Template);
	$Template = str_replace('#tahapan#',''.$tahapan.'',$Template);
	//===
	
	$Template = str_replace('#nomorputusan#',''.$noPerkaraTahapan.'',$Template);
	$Template = str_replace('#tanggalputusan#',''.$tglPutusTahapan.'',$Template);
	$Template = str_replace('#statuspanitera#',''.$statusPanitera.'',$Template);
	$Template = str_replace('#tanggalpk#',''.$tglpermohonan.'',$Template);
	$Template = str_replace('#haripk#',''.$hariPermohonan_pk.'',$Template);

	$Template = str_replace('#namaPihakdiwakilkan#',''.$namaPihakdiwakilkan.'',$Template);
	$Template = str_replace('#namaPihak#',''.$namaPihak.'',$Template);
	$Template = str_replace('#pekerjaanPihak#',''.$pekerjaanPihak.'',$Template);
	$Template = str_replace('#alamatPihak#',''.$alamatPihak.'',$Template);
	$Template = str_replace('#tanggalSuratKuasa#',''.$tanggalSuratKuasa.'',$Template);
	$Template = str_replace('#amarPutusTahapan#',''.$amarPutusTahapan.'',$Template);

	$infoPemohon='';
	$jmlPihak1=$datapemohonallpk->num_rows;
	$i=0;
	if (!empty($datapemohonallpk)) {
		foreach ($datapemohonallpk->result() as $row) {
			$infoPemohon .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
			$infoPemohon .= ', Tempat tinggal di '.$row->alamat;
			$infoPemohon .= ', untuk selanjutnya disebut sebagai '.$row->pihak_asal_text.' ';			
			$infoPemohon .= '/'.$row->status_pihak_text.' Peninjauan Kembali ;';
			$infoPemohon .=' \\par \\par ';
		}
	}

	$Template = str_replace('#infoPemohon#',''.$infoPemohon.'',$Template);

	$infoTermohon='';
	$jmlPihak2=$datatermohonallpk->num_rows;
	$i=0;
	if (!empty($datatermohonallpk)) {
		foreach ($datatermohonallpk->result() as $row) {
			$infoTermohon .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
			$infoTermohon .= ', Tempat tinggal di '.$row->alamat;
			$infoTermohon .= ', untuk selanjutnya disebut sebagai '.$row->pihak_asal_text.' ';			
			$infoTermohon .= '/'.$row->status_pihak_text.' Peninjauan Kembali ;';
			$infoTermohon .=' \\par \\par ';
		}
	}
	$Template = str_replace('#infoTermohon#',''.$infoTermohon.'',$Template);

#DATA PEMOHON PK
if($jenisrelaas==1){
	$pihakPemohonPK = "";
	if(!empty($datapemohonpk)){
	        foreach ($datapemohonpk->result() as $rows) { 
	        	$tglterimamemori = $this->templatehelper->convertKeTglIndo($rows->penerimaan_memori_pk);
	            if(($rows->jenis_pihak_id)==1){                       
	                $pihakPemohonPK .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakPemohonPK .= "Kewarganegaraan \t:\t Indonesia \\par ";                                       
	                $pihakPemohonPK .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";                                                    
	                $pihakPemohonPK .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
	                $pihakPemohonPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Pemohon PK \\par ";
	            }elseif(($rows->jenis_pihak_id)==2 OR ($rows->jenis_pihak_id)==3 OR ($rows->jenis_pihak_id)==4 ){          
	                $pihakPemohonPK .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakPemohonPK .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par ";
	                $pihakPemohonPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Pemohon PK \\par";                                                       
	            }
	        }
	}
	$Template = str_replace('#pihak_pemohon_pk#',''.$pihakPemohonPK.'',$Template);
	$Template = str_replace('#tglterimamemori#',''.$tglterimamemori.'',$Template);

	$pihakTermohonPK = "";
	if(!empty($datatermohonpk)){
	        foreach ($datatermohonpk->result() as $rows) { 	        	
	            if(($rows->jenis_pihak_id)==1){                       
	                $pihakTermohonPK .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakTermohonPK .= "Kewarganegaraan \t:\t Indonesia \\par ";                                       
	                $pihakTermohonPK .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";                                                    
	                $pihakTermohonPK .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
	                $pihakTermohonPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Termohon PK \\par ";
	            }elseif(($rows->jenis_pihak_id)==2 OR ($rows->jenis_pihak_id)==3 OR ($rows->jenis_pihak_id)==4 ){          
	                $pihakTermohonPK .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakTermohonPK .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par ";
	                $pihakTermohonPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Termohon PK \\par";                                                       
	            }
	        }
	}
	$Template = str_replace('#pihakTermohonPK#',''.$pihakTermohonPK.'',$Template);	
}
if($jenisrelaas==2){
	$pihakPemohonPK = "";
	if(!empty($datapemohonpk)){
	        foreach ($datapemohonpk->result() as $rows) { 
	        	$tglterimakontramemori = $this->templatehelper->convertKeTglIndo($rows->penerimaan_kontra_pk);
	            if(($rows->jenis_pihak_id)==1){                       
	                $pihakPemohonPK .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakPemohonPK .= "Kewarganegaraan \t:\t Indonesia \\par ";                                       
	                $pihakPemohonPK .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";                                                    
	                $pihakPemohonPK .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
	                $pihakPemohonPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Pemohon PK \\par ";
	            }elseif(($rows->jenis_pihak_id)==2 OR ($rows->jenis_pihak_id)==3 OR ($rows->jenis_pihak_id)==4 ){          
	                $pihakPemohonPK .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakPemohonPK .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par ";
	                $pihakPemohonPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Pemohon PK \\par";                                                       
	            }
	        }
	}
	$Template = str_replace('#pihak_pemohon_pk#',''.$pihakPemohonPK.'',$Template);
	$Template = str_replace('#tglterimakontramemori#',''.$tglterimakontramemori.'',$Template);

	$pihakTermohonPK = "";
	if(!empty($datatermohonpk)){
	        foreach ($datatermohonpk->result() as $rows) { 
	        	$tglserahkontramemori = $this->templatehelper->convertKeTglIndo($rows->penyerahan_kontra_pk);
	        	$hariserahkontramemori = $this->templatehelper->getHari($rows->penyerahan_kontra_pk);
	            if(($rows->jenis_pihak_id)==1){                       
	                $pihakTermohonPK .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakTermohonPK .= "Kewarganegaraan \t:\t Indonesia \\par ";                                       
	                $pihakTermohonPK .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";                                                    
	                $pihakTermohonPK .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
	                $pihakTermohonPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Termohon PK \\par ";
	            }elseif(($rows->jenis_pihak_id)==2 OR ($rows->jenis_pihak_id)==3 OR ($rows->jenis_pihak_id)==4 ){          
	                $pihakTermohonPK .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakTermohonPK .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par ";
	                $pihakTermohonPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Termohon PK \\par";                                                       
	            }
	        }
	}
	$Template = str_replace('#pihakTermohonPK#',''.$pihakTermohonPK.'',$Template);
	$Template = str_replace('#tglserahkontramemori#',''.$tglserahkontramemori.'',$Template);
	$Template = str_replace('#hariserahkontramemori#',''.$hariserahkontramemori.'',$Template);
}
if($jenisrelaas==3){
	$pihakPK = "";
	if(!empty($datatermohonpk)){
	        foreach ($datatermohonpk->result() as $rows) { 
	        	$tglpemberitahuanpts = $this->templatehelper->convertKeTglIndo($rows->pemberitahuan_putusan_pk);
	        	$haripemberitahuanpts = $this->templatehelper->getHari($rows->pemberitahuan_putusan_pk);
	        	$tglpemberitahuanpts = $this->templatehelper->convertKeTglIndo($rows->pemberitahuan_putusan_pk);
	            if(($rows->jenis_pihak_id)==1){                       
	                $pihakPK .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakPK .= "Kewarganegaraan \t:\t Indonesia \\par ";                                       
	                $pihakPK .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";                                                    
	                $pihakPK .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
	                $pihakPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/".$rows->status_pihak_text." Peninjauan Kembali \\par ";
	            }elseif(($rows->jenis_pihak_id)==2 OR ($rows->jenis_pihak_id)==3 OR ($rows->jenis_pihak_id)==4 ){          
	                $pihakPK .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
	                $pihakPK .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par ";
	                $pihakPK .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/".$rows->status_pihak_text." Peninjauan Kembali \\par";                                                       
	            }
	        }
	}
	$Template = str_replace('#pihakPK#',''.$pihakPK.'',$Template);
	$Template = str_replace('#tglpemberitahuanpts#',''.$tglpemberitahuanpts.'',$Template);
	$Template = str_replace('#haripemberitahuanpts#',''.$haripemberitahuanpts.'',$Template);
	if(!empty($dataperkarapk)){
		foreach ($dataperkarapk->result() as $pk) {
			$tglputusanpk = $this->templatehelper->convertKeTglIndo($pk->putusan_pk);
			$nomorpk = $pk->nomor_putusan_pk;
			$amarptspk = $this->templatehelper->cleanHtmlTag($pk->amar_putusan_pk);
		}
	}
	$Template = str_replace('#tglputusanpk#',''.$tglputusanpk.'',$Template);
	$Template = str_replace('#nomorpk#',''.$nomorpk.'',$Template);
	$Template = str_replace('#amarptspk#',''.$amarptspk.'',$Template);
}


header("Content-type: application/rtf");
header("Content-disposition: inline; filename=".$namafile."-".$nomorPerkara.".rtf");
header("Content-length: ".strlen($Template));
echo $Template;
?>